OpenNMS API 1.2.9

## org.opennms.netmgt.vulnscand
Class DescrValues

    java.lang.Object
      org.opennms.netmgt.vulnscand.DescrValues

public class DescrValues
extends java.lang.Object

Class that holds the return values when parsing a description field from Nessus.

Field Summary
`(package private) java.lang.String` `cveEntry`
`(package private) java.lang.String` `descr`
`(package private) int` `severity`

Constructor Summary
`DescrValues()`

Method Summary
`boolean` `isValid()`
`java.lang.String` `toString()`
`void` `useDefaults()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### descr

    java.lang.String descr

### cveEntry

    java.lang.String cveEntry

### severity

    int severity

Constructor Detail

### DescrValues

    public DescrValues()

Method Detail

### useDefaults

    public void useDefaults()

### isValid

    public boolean isValid()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.